!```````````````````````````````````````````````````````````````````
subroutine aer_micro(mzp,mxp,myp,ia,iz,ja,jz,mynum)

!+ MAIN aerosol microphysics driver

use main_memory_mod, only: a
use aermic_rad_mem_mod, only: iaertog,aer_tyet
use vtables_mod, only: irv

implicit none

!=== Argument declarations:

integer, intent(IN) :: mzp,mxp,myp,ia,iz,ja,jz,mynum

!== Local declarations:

! NONE

!=== Executable statements:

! Exit immediately if aerosol processes not desired:

if (iaertog == 0) return

!%   if(ngrid == 1) then 
!%      ! Undo GCM boundary conditions for H2O vapor:
!%      call H2Ov_bound(mzp,mxp,myp,ia,iz,ja,jz,a(irv),nudlat,'zero_grd')
!%   endif

   ! Impose boundary conditions on microphysics scalars:

!%   call aer_bound(mzp,mxp,myp,ia,iz,ja,jz,36,a(isclp(1)),nudlat,'zero_grd')

!@if(aer_tyet(0) .or. aer_tyet(1) .or. aer_tyet(2) .or. aer_tyet(3)) then
if (aer_tyet(1) .or. aer_tyet(2) .or. aer_tyet(3)) then

   ! Run Mars aerosol microphysics model (derived from CARMA):
   
   call aemic_drvint(mzp, mxp, myp, ia, iz, ja, jz)
   
end if

!%else

!%   if(ngrid == 1) then 
!%      ! Undo GCM boundary conditions for H2O vapor:
!%      call H2Ov_bound(mzp,mxp,myp,ia,iz,ja,jz,a(irtp),nudlat,'zero_grd')
!%   endif

   ! Impose boundary conditions on microphysics scalars:

!%!   call aer_bound(mzp,mxp,myp,ia,iz,ja,jz,36,a(isclp(1)),nudlat,'zero_grd')

end subroutine aer_micro
