!```````````````````````````````````````````````````````````````````
module PRAMS_thermo_mod

!~ 24.09.2008 (last modified; TIM)

!+

implicit none

private

public :: dry_thermo

contains


!```````````````````````````````````````````````````````````````````
subroutine dry_thermo(m1,m2,m3,ia,iz,ja,jz,thX,theta,rv,level)

!~ 18.11.2008 (last modified; TIM)

!+ Computes plain "dry" theta for the case where no condensate is allowed

use univ_kind_defs_mod, only: f4

implicit none

!=== Argument declarations:

integer, intent(IN) :: m1,m2,m3,ia,iz,ja,jz,level
real(f4), dimension(m1,m2,m3), intent(IN) :: thX,rv

real(f4), dimension(m1,m2,m3), intent(INOUT) :: theta

!== Local declarations:

integer :: i,j,k

!=== Executable statements:

do j=ja,jz
   do i=ia,iz
      do k=1,m1
         theta(k,i,j) = thX(k,i,j)
      enddo
   enddo
enddo

end subroutine dry_thermo


end module PRAMS_thermo_mod
