!```````````````````````````````````````````````````````````````````
module polarst_mod

!~ 24.09.2008 (last modified; TIM)

!+

implicit none

private

public :: uevetouv, uvtoueve

contains


!```````````````````````````````````````````````````````````````````
subroutine uevetouv (u,v,ue,ve,qlat,qlon,polelat,polelon)

!+

!~ 24.01.2011 (last modified; TIM)

use univ_kind_defs_mod, only: f4
use univ_OPS_proj_mod, only: ll_xy_OPS
use body_specific_constants_mod, only: radius

implicit none

!=== Argument declarations:

real(f4), intent(IN) :: ue,ve,qlat,qlon,polelat,polelon

real(f4), intent(OUT) :: u,v

!== Local declarations:

real(f4) :: angle,x0,y0,x1,y1

!=== Executable statements:

call ll_xy_OPS(qlat,qlon,polelat,polelon,x0,y0,radius)
call ll_xy_OPS(qlat,qlon+0.1_f4,polelat,polelon,x1,y1,radius)
angle = atan2(y1-y0,x1-x0)
u = ue * cos(angle) - ve * sin(angle)
v = ue * sin(angle) + ve * cos(angle)

end subroutine uevetouv


!```````````````````````````````````````````````````````````````````
subroutine uvtoueve (u,v,ue,ve,qlat,qlon,polelat,polelon)

!+

!~ 24.01.2011 (last modified; TIM)

use univ_kind_defs_mod, only: f4
use univ_OPS_proj_mod, only: ll_xy_OPS
use body_specific_constants_mod, only: radius

implicit none

!=== Argument declarations:

real(f4), intent(IN) :: u,v,qlat,qlon,polelat,polelon

real(f4), intent(OUT) :: ue,ve

!== Local declarations:

real(f4) :: angle,x0,y0,x1,y1

!=== Executable statements:

call ll_xy_OPS(qlat,qlon,polelat,polelon,x0,y0,radius)
call ll_xy_OPS(qlat,qlon+0.1_f4,polelat,polelon,x1,y1,radius)
angle = -atan2(y1-y0,x1-x0)
ue = u * cos(angle) - v * sin(angle)
ve = u * sin(angle) + v * cos(angle)

end subroutine uvtoueve


end module polarst_mod
