!```````````````````````````````````````````````````````````````````
module aemic_slowproc_mod

!+

implicit none


contains


!```````````````````````````````````````````````````````````````````
subroutine slow_aermicro

!+ Driver for the "slower" (potentially) aerosol microphysics processes

use aermicro_mem_mod, only: do_coag,nelements,igelem,nbins
use aemic_coag_mod, only: coag_loss, coag_production, coag_solve

implicit none

!=== Argument declarations:

! NONE

!== Local declarations:
      
! Originally part of microphy.  Now in this separate routine to allow
!  time splitting of coagulation at a different timestep size from
!  other microphysical calcs:

integer :: ie,ib

!=== Executable statements:

! Do coagulation if requested:

if(do_coag) then

! Calculate (implicit) particle loss rates for coagulation:

   call coag_loss

! Calculate particle production terms and solve for particle concentrations at
!  end of timestep:

   do ie=1,nelements
      do ib=1,nbins(igelem(ie))
         call coag_production(ib,ie)
         call coag_solve(ib,ie)
      enddo
   enddo

endif

end subroutine slow_aermicro


end module aemic_slowproc_mod
