module ARCnRT_ini_optcld_mod

implicit none


contains


    subroutine ARCnRT_ini_optcld(QEXTVc,QSCATVc,GrefVc,QEXTIc,QSCATIc,GrefIc,  &
                       Qxvc,Qxic,Qsvc,Qsic,gvc,gic,Qextrefc)

!     GCM v23   2010
!     Ames Mars GCM group
!     Jeffery Hollingsworth, PI
!     NASA Ames Research Center

!  Initialize cloud optical constants, both IR and visible

      use ARCnRT_grid_h
      use ARCnRT_radinc_h
      use ARCnRT_cldcommon_h

      implicit none

!  Arguments
!  ---------

      real(f8), intent(IN) :: QEXTVc(L_NSPECTV)
      real(f8), intent(IN) :: QSCATVc(L_NSPECTV)
      real(f8), intent(IN) :: GrefVc(L_NSPECTV)
      real(f8), intent(IN) :: QEXTIc(L_NSPECTI)
      real(f8), intent(IN) :: QSCATIc(L_NSPECTI)
      real(f8), intent(IN) :: GrefIc(L_NSPECTI)
      real(f8), intent(INOUT) :: Qxvc(L_LEVELS+1,L_NSPECTV)
      real(f8), intent(INOUT) :: Qsvc(L_LEVELS+1,L_NSPECTV)
      real(f8), intent(INOUT) :: gvc(L_LEVELS+1,L_NSPECTV)
      real(f8), intent(INOUT) :: Qxic(L_LEVELS+1,L_NSPECTI)
      real(f8), intent(INOUT) :: Qsic(L_LEVELS+1,L_NSPECTI)
      real(f8), intent(INOUT) :: gic(L_LEVELS+1,L_NSPECTI)
      real(f8), intent(OUT) :: Qextrefc(L_LEVELS+1)

!  Local variables
!  ---------------

      integer :: i,k

! Initialyze various variables
! ----------------------------

      DO K = 1, L_LEVELS+1
        Qextrefc(K) = QEXTVc(L_NREFV)
      ENDDO

      do i = 1, nlonv
        DO K = 1, L_LEVELS+1
          Qxvc(K,i) = QEXTVc(i)
          Qsvc(K,i) = QSCATVc(i)
          gvc(K,i)  = GrefVc(i)
        ENDDO
      enddo
      do i = 1, nloni
        DO K = 1, L_LEVELS+1
          Qxic(K,i) = QEXTIc(i)
          Qsic(K,i) = QSCATIc(i)
          gic(K,i)  = GrefIc(i)
        ENDDO
      enddo

      return

      end subroutine ARCnRT_ini_optcld


end module ARCnRT_ini_optcld_mod
