module ARCnRT_ini_optdst_mod

implicit none


contains


      subroutine ARCnRT_ini_optdst(QEXTV,QSCATV,GrefV,QEXTI,QSCATI,GrefI,  &
                       Qxv,Qxi,Qsv,Qsi,gv,gi,Qextref)

!     GCM v23   2010
!     Ames Mars GCM group
!     Jeffery Hollingsworth, PI
!     NASA Ames Research Center

!  Initialize dust optical constants, both IR and visible

      use ARCnRT_grid_h
      use ARCnRT_radinc_h
      use ARCnRT_cldcommon_h

      implicit none

!  Arguments
!  ---------

      real(f8), intent(IN) :: QEXTV(L_NSPECTV)
      real(f8), intent(IN) :: QSCATV(L_NSPECTV)
      real(f8), intent(IN) :: GrefV(L_NSPECTV)
      real(f8), intent(IN) :: QEXTI(L_NSPECTI)
      real(f8), intent(IN) :: QSCATI(L_NSPECTI)
      real(f8), intent(IN) :: GrefI(L_NSPECTI)
      real(f8), intent(INOUT) :: Qxv(L_LEVELS+1,L_NSPECTV)
      real(f8), intent(INOUT) :: Qsv(L_LEVELS+1,L_NSPECTV)
      real(f8), intent(INOUT) :: gv(L_LEVELS+1,L_NSPECTV)
      real(f8), intent(INOUT) :: Qxi(L_LEVELS+1,L_NSPECTI)
      real(f8), intent(INOUT) :: Qsi(L_LEVELS+1,L_NSPECTI)
      real(f8), intent(INOUT) :: gi(L_LEVELS+1,L_NSPECTI)
      real(f8), intent(OUT) :: Qextref(L_LEVELS+1)

!  Local variables
!  ---------------

      integer :: i,k

! Initialyze various variables
! ----------------------------

      DO K = 1, L_LEVELS+1
        Qextref(K) = QEXTV(L_NREFV)
      ENDDO

      do i = 1, nlonv
        DO K = 1, L_LEVELS+1
          Qxv(K,i) = QEXTV(i)
          Qsv(K,i) = QSCATV(i)
          gv(K,i)  = GrefV(i)
        ENDDO
      enddo
      do i = 1, nloni
        DO K = 1, L_LEVELS+1
          Qxi(K,i) = QEXTI(i)
          Qsi(K,i) = QSCATI(i)
          gi(K,i)  = GrefI(i)
        ENDDO
      enddo

      return

      end subroutine ARCnRT_ini_optdst


end module ARCnRT_ini_optdst_mod

