module ARCnRT_radsetup_mod

implicit none


contains


      subroutine ARCnRT_radsetup

!     GCM v23   2010
!     Ames Mars GCM group
!     Jeffery Hollingsworth, PI
!     NASA Ames Research Center

!     PURPOSE:
!        Bundle the new radiation code setup subroutines and call
!     this one subroutine from main, where the three included files
!     are also listed.  Quantities are passed between this driver
!     and the radiation code via modules (eg radcommon_h).
!
!----------------------------------------------------------------------C

      use ARCnRT_grid_h
      use ARCnRT_radinc_h
      use ARCnRT_radcommon_h
use ARCnRT_setspv_mod, only: ARCnRT_setspv
use ARCnRT_setspi_mod, only: ARCnRT_setspi
use ARCnRT_setrad_mod, only: ARCnRT_setrad

      implicit none

!======================================================================C

      call ARCnRT_setspv(WNOV,DWNV,WAVEV,SOLARF,TAURAY)
      call ARCnRT_setspi(WNOI,DWNI,WAVEI)
      call ARCnRT_setrad(TGASREF,PFGASREF,CO2V,CO2I,QEXTV,QSCATV,WV,GV,       &
                        QEXTI,QSCATI,WI,GI,QEXTVc,QSCATVc,WVc,GVc,     &
                        QEXTIc,QSCATIc,WIc,GIc,FZEROI,FZEROV)

      return
      end subroutine ARCnRT_radsetup


end module ARCnRT_radsetup_mod
