!```````````````````````````````````````````````````````````````````
module radn_dust_mem_mod

!+ Memory and parameters specific to dusty atmosphere calculations

use univ_kind_defs_mod, only: f4

implicit none

integer, parameter :: DIM_DUST_levs = 400,  &
                      MMAXED = 301,  &   ! Optical depth dim of EODTAB array
                      MMAXEI = 301,  & ! Optical depth dim of EOITAB array
                      MMAXED1 = 300,  &    !
                      MMAXEI1 = 300        !

real(f4), allocatable, dimension(:) :: DUST_taucum

real(f4), allocatable, dimension(:,:) :: emd,emisdst
integer, allocatable, dimension(:,:) :: mdst,nmdst
  
real(f4), dimension(2,MMAXED) :: EODTAB,E15DST
real(f4), dimension(MMAXEI) :: EOITAB,E15ICE

real(f4) :: DUST_tautot, DUST_conrnu
real(f4), dimension(DIM_DUST_levs) :: DUST_tau_pr,DUST_tau
real(f4), dimension(2) :: tdmin,tdincr

data tdincr / 0.02_f4, 0.13_f4 /
data tdmin / 0.0_f4, 6.0_f4 /

include 'radn_dustdata.f90'

end module radn_dust_mem_mod
