!```````````````````````````````````````````````````````````````````
module postp_driver_mod

!+

implicit none


contains


!```````````````````````````````````````````````````````````````````
subroutine postprocess_data

!+ Post-processing driver

use postp_main_memory_mod, only: pp_action
use postp_GrADS_mod, only: postp_GrADS_driv
use postp_fldext_mod, only: postp_fldext_driv
use postp_OpenDX_mod, only: postp_OpenDX_driv
use postp_NetCDF_mod, only: postp_NetCDF_driv
use postp_ARL_mod, only: postp_ARL_driv

implicit none

!=== Argument declarations:

! NONE

!== Local declarations:

! NONE

!=== Executable statements:

! Which postprocessing action is desired?

select case (pp_action)
case('GRADS')   ! Dump fields in GrADS file format
   call postp_GrADS_driv
case('FLD_EXT')  ! Dump fields in `field_extract` format
   call postp_fldext_driv
case('OPENDX') 
   call postp_OpenDX_driv
case('NETCDF')   ! Dump fields to NetCDF-format file(s)
   call postp_NetCDF_driv
case('ARL')   ! Dump fields to ARL-packed-format file(s)
   call postp_ARL_driv
end select

end subroutine postprocess_data


end module postp_driver_mod
